Update a user

Updates a user by its ID. Any parameters not passed are not changed.

Required permission: Manage Users

Path Params
uuid
required
^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}$

ID of your ControlUp organization. You can find your organization ID on the API Key Management page in the DEX platform.

uuid
required
^[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}$

ID of the user to update.
You can use GET /users to see the ID of each user.

Body Params

Make all properties in T optional

boolean | null

Whether VDI & DaaS LDAP authentication is enabled for the user.
If LDAP authentication is enabled globally for your organization, it is possible to override the global setting and disable LDAP authentication for a specific user.

loginMethods
array of objects

The user’s allowed login methods.
If a login method is allowed globally for your organization, it is possible to override the global login methods and remove an allowed login method for a specific user.

loginMethods
Allowed:
string | null
enum

The user’s MFA method.
The MFA method must be one of the allowed methods for your organization.

Allowed:
roleIds
array of int32s
≥ 1

An array of role IDs (integers) assigned to the user. You can use GET /roles to see the ID of each role.

Default role IDs:

  • Admin - 1
  • Editor - 2
  • Viewer - 3
  • No Permissions - 4
  • VDI and DaaS Admins - 5
  • Access Real-Time DX Console - 6
roleIds
string
enum

The user’s status.
A user can sign in only if their status is active. A user’s status is pending if they are invited but haven’t accepted the invitation.

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json